Manage Keys & ServersUpdate an upstream MCP server

Update an upstream MCP server

Change name, url, default_headers, or is_enabled. A new URL and new headers are validated the same way as on registration. Send at least one field. Platform-shared servers are not editable.

curl -X PATCH "https://mythic-analytics.gulp.workers.dev/builder/mcp/servers/123e4567-e89b-12d3-a456-426614174000" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "name": "John Doe",
  "url": "example_string",
  "default_headers": {},
  "is_enabled": true
}'
{
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Internal research server",
    "url": "https://mcp.example.com/mcp",
    "is_enabled": true,
    "ownership": "agency",
    "tool_count": 12,
    "last_probed_at": "2024-12-25T10:00:00Z",
    "created_at": "2024-12-25T10:00:00Z",
    "updated_at": "2024-12-25T10:00:00Z"
  }
}
PATCH
/builder/mcp/servers/{id}
PATCH
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

An agency key (ak_). Location secret keys are rejected. Scoped keys (mcp_) are not accepted here (403 not_available_to_scoped_keys).

An agency key (ak_). Location secret keys are rejected. Scoped keys (mcp_) are not accepted here (403 not_available_to_scoped_keys).
Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. An agency key (ak_). Location secret keys are rejected. Scoped keys (mcp_) are not accepted here (403 not_available_to_scoped_keys).

Path Parameters

Responses

dataobject